Upstream information

CVE-2019-8906 at MITRE

Description

do_core_note in readelf.c in libmagic.a in file 5.35 has an out-of-bounds read because memcpy is misused.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 4.4
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1126119 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-839
SUSE CaaS Platform 3.0
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
Patchnames:
SUSE-CAASP-3.0-2019-839
SUSE CaaS Platform ALL
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
Patchnames:
SUSE-CAASP-ALL-2019-839
SUSE Linux Enterprise Desktop 12 SP3
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-839
SUSE Linux Enterprise Desktop 12 SP4
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-839
SUSE Linux Enterprise Module for Basesystem 15
  • file >= 5.32-7.5.1
  • file-devel >= 5.32-7.5.1
  • file-magic >= 5.32-7.5.1
  • libmagic1 >= 5.32-7.5.1
  • libmagic1-32bit >= 5.32-7.5.1
  • python-magic >= 5.32-7.5.1
  • python2-magic >= 5.32-7.5.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-571
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • file >= 5.32-7.5.1
  • file-devel >= 5.32-7.5.1
  • file-magic >= 5.32-7.5.1
  • libmagic1 >= 5.32-7.5.1
  • libmagic1-32bit >= 5.32-7.5.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA file
SUSE Linux Enterprise Module for Development Tools 15
  • python-magic >= 5.32-7.5.1
  • python3-magic >= 5.32-7.5.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-571
SUSE Linux Enterprise Server 12 SP3
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-839
SUSE Linux Enterprise Server 12 SP4
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-839
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-839
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • file >= 5.22-10.12.2
  • file-magic >= 5.22-10.12.2
  • libmagic1 >= 5.22-10.12.2
  • libmagic1-32bit >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-839
SUSE Linux Enterprise Software Development Kit 12 SP3
  • file >= 5.22-10.12.2
  • file-devel >= 5.22-10.12.2
  • python-magic >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-839
SUSE Linux Enterprise Software Development Kit 12 SP4
  • file >= 5.22-10.12.2
  • file-devel >= 5.22-10.12.2
  • python-magic >= 5.22-10.12.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-839
openSUSE Leap 15.0
  • file >= 5.32-lp150.6.3.1
  • file-debuginfo >= 5.32-lp150.6.3.1
  • file-debugsource >= 5.32-lp150.6.3.1
  • file-devel >= 5.32-lp150.6.3.1
  • file-devel-32bit >= 5.32-lp150.6.3.1
  • file-magic >= 5.32-lp150.6.3.1
  • libmagic1 >= 5.32-lp150.6.3.1
  • libmagic1-32bit >= 5.32-lp150.6.3.1
  • libmagic1-32bit-debuginfo >= 5.32-lp150.6.3.1
  • libmagic1-debuginfo >= 5.32-lp150.6.3.1
  • python-magic >= 5.32-lp150.6.3.1
  • python2-magic >= 5.32-lp150.6.3.1
  • python3-magic >= 5.32-lp150.6.3.1
Patchnames:
openSUSE-2019-345
openSUSE Leap 42.3
  • file >= 5.22-16.1
  • file-debuginfo >= 5.22-16.1
  • file-debugsource >= 5.22-16.1
  • file-devel >= 5.22-16.1
  • file-magic >= 5.22-16.1
  • libmagic1 >= 5.22-16.1
  • libmagic1-32bit >= 5.22-16.1
  • libmagic1-debuginfo >= 5.22-16.1
  • libmagic1-debuginfo-32bit >= 5.22-16.1
  • python-magic >= 5.22-16.1
Patchnames:
openSUSE-2019-1197


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 file Released
CaaS Platform 2.0 file Released
CaaS Platform 3.0 file Released
OpenStack Cloud Magnum Orchestration 7.0 file Released
SUSE Linux Enterprise Desktop 12 SP3 file Released
SUSE Linux Enterprise Desktop 12 SP4 file Released
SUSE Linux Enterprise High Performance Computing 12 file Released
SUSE Linux Enterprise Module for Basesystem 15 GA file Released
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 php7 Not affected
SUSE Linux Enterprise SDK 11 SP4 file Not affected
SUSE Linux Enterprise SDK 11 SP4 php53 Not affected
SUSE Linux Enterprise SDK 12 SP3 file Released
SUSE Linux Enterprise SDK 12 SP3 php5 Not affected
SUSE Linux Enterprise SDK 12 SP3 php7 Not affected
SUSE Linux Enterprise SDK 12 SP4 file Released
SUSE Linux Enterprise SDK 12 SP4 php5 Not affected
SUSE Linux Enterprise SDK 12 SP4 php7 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS file Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Not affected
SUSE Linux Enterprise Server 11 SP4 file Not affected
SUSE Linux Enterprise Server 11 SP4 php53 Not affected
SUSE Linux Enterprise Server 12 GA LTSS file Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS file Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS file Not affected
SUSE Linux Enterprise Server 12 SP3 file Released
SUSE Linux Enterprise Server 12 SP4 file Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 file Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 php53 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA file Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 file Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 file Released